---
title: Get device groups associated with device list
slug: cps-guide/mdm-epmm/get-device-groups-associated-with-device-list
createdAt: 2026-10-06T07:45:20.735Z
---

<font color="#000000">This call returns a list of device groups and related information associated with a list of devices. Device groups correspond to rule IDs.</font>

## HTTP Method

POST

## Request URI

/msa/v1/cps/rule/deviceGuid

## Request parameters

| Parameter   | Description                                                                                                                                                                                                                                                                                   | Sample Value                                                                                      |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| identifiers | <br />`{`<br />`    "identifiers": [`<br />`        "deviceGuid"`<br />`    ]`<br />`}`<br />**Required**<br />**Parameter Type:** Request body<br />**Data Type:** String<br />List of device GUIDs identifiers in this format:<br />See [List of identifiers](docId:0FgXpF4sPOcu6M7eESvy1). | <br />`{`<br />`"identifiers": [`<br />`"6b8df48e-7778-4a33-97e4-1cc6b39de61c"`<br />`]`<br />`}` |

## Response fields

A list of device groups.

See [Rules](docId\:DK5wUaGcE74hME-EUyNkR).

## Example request

```javascript
curl --location --request POST 'https://[mobileiron-Ivanti Neurons for MDM-or-Ivanti EPMM]/msa/v1/cps/rule/deviceGuid' \
```

```javascript
--header 'Accept: application/json, text/plain, */*' \
```

```javascript
--header 'Content-Type: application/json' \
```

```javascript
--header 'Authorization: Basic <token>' \
```

```javascript
--data-raw {
    "identifiers": [
        "6b8df48e-7778-4a33-97e4-1cc6b39de61c"
    ]
}
```

## Example response

```javascript
{
    "errors": null, 
    "result": [
        {
            "deviceGuid": "6b8df48e-7778-4a33-97e4-1cc6b39de61c", 
            "rules": [
                {
                    "id": 51173, 
                    "name": "jk Sandbox User Group", 
                    "definition": "DISPLAYNAME EQ 'jk Sandbox User'"
                }, 
                {
                    "id": 390113, 
                    "name": "test#2", 
                    "definition": "CURRENTMCC NEQ 'test#'"
                }, 
                {
                    "id": 361609, 
                    "name": "Bozo", 
                    "definition": "UNLOCK_TOKEN EQ 'TRUE'"
                }, 
                {
                    "id": 40165, 
                    "name": "All Devices", 
                    "description": "Targets any type of device."
                }, 
                {
                    "id": 118493, 
                    "name": "current country", 
                    "definition": "CURRENTCOUNTRYNAME EQ 'United States'"
                }, 
                {
                    "id": 40167, 
                    "name": "iOS Devices", 
                    "description": "Targets all iOS devices", 
                    "definition": "PLATFORMTYPE EQ 'IOS'"
                }
            ]
        }
    ]
}
```
